Get wallet balances
curl --request GET \
--url https://dev.api.floris3.com/api/accounts/{accountId}/wallets/balances \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dev.api.floris3.com/api/accounts/{accountId}/wallets/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://dev.api.floris3.com/api/accounts/{accountId}/wallets/balances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"pagination": {
"count": 1,
"total_pages": 1,
"current_page": 1,
"limit": 10,
"offset": 0,
"next": null,
"previous": null
},
"results": [
{
"account_id": "67c025a2-d19a-4d61-b7a8-0752c0327c92",
"wallet_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"wallet_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
"offering_id": "bf446783-f4b0-491a-b054-94d9dae23ec6",
"name": "Testing payout",
"logo": "",
"symbol": "PAYO",
"decimals": 8,
"balance": "1000000000"
}
]
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}Wallets
Get wallet balances
GET
https://dev.api.floris3.com
/
api
/
accounts
/
{accountId}
/
wallets
/
balances
Get wallet balances
Authorizations
Bearer access token from POST /api/auth
Path Parameters
accountId identifier
Query Parameters
Required range:
10 <= x <= 50Required range:
0 <= x <= 9007199254740991Available options:
ar, de, en, es, fr Response
Success
Hide child attributes
Hide child attributes
Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Required range:
0 < x <= 9007199254740991Required range:
10 <= x <= 50Required range:
0 <= x <= 9007199254740991Hide child attributes
Hide child attributes

